apiVersion: v1
kind: Service
metadata:
  annotations:
    meta.helm.sh/release-name: cloudcore
    meta.helm.sh/release-namespace: kubeedge
  labels:
    k8s-app: kubeedge
    kubeedge: cloudcore
  name: kubeedge-nodeport
  namespace: kubeedge
spec:
  ports:
  - appProtocol: tcp
    name: cloudhub
    nodePort: 30868
    port: 10000
    protocol: TCP
    targetPort: 10000
  - appProtocol: tcp2
    name: cloudhub2
    nodePort: 30869
    port: 10002
    protocol: TCP
    targetPort: 10002
  selector:
    k8s-app: kubeedge
    kubeedge: cloudcore
  sessionAffinity: None
  type: NodePort